Page MenuHomePhabricator

Disable highlighting on insource queries if experimental highlighter in not turned on
Closed, ResolvedPublic

Description

On https://translatewiki.net/w/i.php?title=Special%3ASearch&profile=all&fulltext=Search&search=insource%3A%7B%7BPLURAL%3A10%7CEtt+till%7C10+till%7D%7D

[8c73d0248866b4e1f2b0e49a] /w/i.php?title=Special%3ASearch&profile=all&fulltext=Search&search=insource%3A%7B%7BPLURAL%3A10%7CEtt+till%7C10+till%7D%7D RuntimeException from line 398 of /srv/mediawiki/tags/2016-10-11_15:30:58/extensions/CirrusSearch/includes/Search/ResultsType.php: regex is only supported with $wgCirrusSearchUseExperimentalHighlighter = true

Backtrace:

#0 /srv/mediawiki/tags/2016-10-11_15:30:58/extensions/CirrusSearch/includes/Search/SearchContext.php(435): CirrusSearch\Search\FullTextResultsType->getHighlightingConfiguration(array)
#1 /srv/mediawiki/tags/2016-10-11_15:30:58/extensions/CirrusSearch/includes/Searcher.php(480): CirrusSearch\Search\SearchContext->getHighlight(CirrusSearch\Search\FullTextResultsType)
#2 /srv/mediawiki/tags/2016-10-11_15:30:58/extensions/CirrusSearch/includes/Searcher.php(587): CirrusSearch\Searcher->buildSearch()
#3 /srv/mediawiki/tags/2016-10-11_15:30:58/extensions/CirrusSearch/includes/Searcher.php(353): CirrusSearch\Searcher->search(string)
#4 /srv/mediawiki/tags/2016-10-11_15:30:58/extensions/CirrusSearch/includes/CirrusSearch.php(407): CirrusSearch\Searcher->searchText(string, boolean)
#5 /srv/mediawiki/tags/2016-10-11_15:30:58/extensions/CirrusSearch/includes/CirrusSearch.php(160): CirrusSearch->searchTextReal(string, NULL)
#6 /srv/mediawiki/tags/2016-10-11_15:30:58/includes/specials/SpecialSearch.php(298): CirrusSearch->searchText(string)
#7 /srv/mediawiki/tags/2016-10-11_15:30:58/includes/specials/SpecialSearch.php(150): SpecialSearch->showResults(string)
#8 /srv/mediawiki/tags/2016-10-11_15:30:58/includes/specialpage/SpecialPage.php(522): SpecialSearch->execute(NULL)
#9 /srv/mediawiki/tags/2016-10-11_15:30:58/includes/specialpage/SpecialPageFactory.php(583): SpecialPage->run(NULL)
#10 /srv/mediawiki/tags/2016-10-11_15:30:58/includes/MediaWiki.php(283): SpecialPageFactory::executePath(Title, RequestContext)
#11 /srv/mediawiki/tags/2016-10-11_15:30:58/includes/MediaWiki.php(861): MediaWiki->performRequest()
#12 /srv/mediawiki/tags/2016-10-11_15:30:58/includes/MediaWiki.php(522): MediaWiki->main()
#13 /srv/mediawiki/tags/2016-10-11_15:30:58/index.php(43): MediaWiki->run()
#14 {main}

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptOct 14 2016, 12:53 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Deskana triaged this task as Medium priority.Oct 18 2016, 5:47 PM
Deskana added a subscriber: Deskana.

What we will probably do here is disable highlighting on insource queries by default. Then, if you want the highlighting, you will have to turn the experimental highlighter on.

Deskana renamed this task from RuntimeException regex is only supported with $wgCirrusSearchUseExperimentalHighlighter = true to Disable highlighting on insource queries if experimental highlighter in not turned on.Oct 18 2016, 5:47 PM

Title adjusted to match comment above.

Change 317505 had a related patch set uploaded (by DCausse):
Do not fail the query with insource:// queries running without weh

https://gerrit.wikimedia.org/r/317505

Change 317505 merged by jenkins-bot:
Do not fail the query with insource:// queries running without weh

https://gerrit.wikimedia.org/r/317505

debt closed this task as Resolved.Oct 27 2016, 7:56 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM